package body MSHTML.DispDOMParser_Object is

   function parseFromString
     (This      : DispDOMParser_Type;
      xmlSource : GNATCOM.Types.VARIANT;
      mimeType  : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         DispDOMParser_parseFromString,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => mimeType,
          2 => xmlSource),
         Free);
   end parseFromString;

end MSHTML.DispDOMParser_Object;

